# org.pdfclown.objects.PdfInteger Class Reference

PDF integer number object [PDF:1.6:3.2.2]. More...

Inheritance diagram for org.pdfclown.objects.PdfInteger:

List of all members.

## Public Member Functions
override PdfObject | Accept (IVisitor visitor, object data)
override int | CompareTo (PdfDirectObject obj)
override bool | Equals (object obj)
override int | GetHashCode ()
| PdfInteger (int value)
override void | WriteTo (IOutputStream stream, File context)
## Static Public Member Functions
static PdfInteger | Get (int?value)
| Gets the object equivalent to the given value.
## Static Public Attributes
static readonly PdfInteger | Default = new PdfInteger(0)
## Properties
double | DoubleValue`[get]`
| Gets the double-precision floating-point representation of the value.
float | FloatValue`[get]`
| Gets the floating-point representation of the value.
int | IntValue`[get]`
| Gets the integer representation of the value.
object | Value`[get]`

##

PDF integer number object [PDF:1.6:3.2.2].

## Constructor & Destructor Documentation

org.pdfclown.objects.PdfInteger.PdfInteger | ( | int | value | ) |

## Member Function Documentation

override PdfObject org.pdfclown.objects.PdfInteger.Accept | ( | IVisitor | visitor,
|  | object | data |
| ) |  |  |

References org.pdfclown.objects.IVisitor.Visit().

override int org.pdfclown.objects.PdfInteger.CompareTo | ( | PdfDirectObject | obj | ) |

override bool org.pdfclown.objects.PdfInteger.Equals | ( | object | obj | ) |

static PdfInteger org.pdfclown.objects.PdfInteger.Get | ( | int? | value | ) | `[static]`

Gets the object equivalent to the given value.

override int org.pdfclown.objects.PdfInteger.GetHashCode | ( |  | ) |

override void org.pdfclown.objects.PdfInteger.WriteTo | ( | IOutputStream | stream,
|  | File | context |
| ) |  |  |

References org.pdfclown.bytes.IOutputStream.Write().

## Member Data Documentation

readonly PdfInteger org.pdfclown.objects.PdfInteger.Default = new PdfInteger(0)`[static]`

## Property Documentation

double org.pdfclown.objects.PdfInteger.DoubleValue`[get]`

Gets the double-precision floating-point representation of the value.

Implements org.pdfclown.objects.IPdfNumber.

float org.pdfclown.objects.PdfInteger.FloatValue`[get]`

Gets the floating-point representation of the value.

Implements org.pdfclown.objects.IPdfNumber.

int org.pdfclown.objects.PdfInteger.IntValue`[get]`

Gets the integer representation of the value.

Implements org.pdfclown.objects.IPdfNumber.

Referenced by org.pdfclown.documents.interaction.navigation.document.Bookmarks.Add(), org.pdfclown.tokens.Reader.ReadInfo(), org.pdfclown.documents.Pages.Remove(), and org.pdfclown.documents.interaction.forms.Field.Wrap().

object org.pdfclown.objects.IPdfSimpleObject.Value`[get, inherited]`

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.